SHARE
TWEET

Untitled

a guest May 5th, 2020 8 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Detailed installation log
  2. Starting at Tue 05 May 2020 01:59:49 PM CST
  3. WARNING: The directory '/usr/bin/false/.cache/pip' or its parent directory is not owned or is not writable by the current user. The cache has been disabled. Check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
  4. Collecting setuptools==42.0.2
  5.   Downloading setuptools-42.0.2-py2.py3-none-any.whl (583 kB)
  6. ERROR: Exception:
  7. Traceback (most recent call last):
  8.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 425, in _error_catcher
  9.     yield
  10.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 507, in read
  11.     data = self._fp.read(amt) if not fp_closed else b""
  12.   File "/usr/lib/python3.7/http/client.py", line 457, in read
  13.     n = self.readinto(b)
  14.   File "/usr/lib/python3.7/http/client.py", line 501, in readinto
  15.     n = self.fp.readinto(b)
  16.   File "/usr/lib/python3.7/socket.py", line 589, in readinto
  17.     return self._sock.recv_into(b)
  18.   File "/usr/lib/python3.7/ssl.py", line 1052, in recv_into
  19.     return self.read(nbytes, buffer)
  20.   File "/usr/lib/python3.7/ssl.py", line 911, in read
  21.     return self._sslobj.read(len, buffer)
  22. socket.timeout: The read operation timed out
  23.  
  24. During handling of the above exception, another exception occurred:
  25.  
  26. Traceback (most recent call last):
  27.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/cli/base_command.py", line 188, in _main
  28.     status = self.run(options, args)
  29.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/cli/req_command.py", line 185, in wrapper
  30.     return func(self, options, args)
  31.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/commands/install.py", line 333, in run
  32.     reqs, check_supported_wheels=not options.target_dir
  33.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/resolution/legacy/resolver.py", line 179, in resolve
  34.     discovered_reqs.extend(self._resolve_one(requirement_set, req))
  35.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/resolution/legacy/resolver.py", line 362, in _resolve_one
  36.     abstract_dist = self._get_abstract_dist_for(req_to_install)
  37.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/resolution/legacy/resolver.py", line 314, in _get_abstract_dist_for
  38.     abstract_dist = self.preparer.prepare_linked_requirement(req)
  39.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/operations/prepare.py", line 412, in prepare_linked_requirement
  40.     hashes=hashes,
  41.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/operations/prepare.py", line 198, in unpack_url
  42.     hashes=hashes,
  43.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/operations/prepare.py", line 124, in get_http_url
  44.     link, downloader, temp_dir.path, hashes
  45.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/operations/prepare.py", line 220, in _download_http_url
  46.     for chunk in download.chunks:
  47.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/cli/progress_bars.py", line 166, in iter
  48.     for x in it:
  49.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_internal/network/utils.py", line 39, in response_chunks
  50.     decode_content=False,
  51.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 564, in stream
  52.     data = self.read(amt=amt, decode_content=decode_content)
  53.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 529, in read
  54.     raise IncompleteRead(self._fp_bytes_read, self.length_remaining)
  55.   File "/usr/lib/python3.7/contextlib.py", line 130, in __exit__
  56.     self.gen.throw(type, value, traceback)
  57.   File "/opt/instance3/zinstance/lib/python3.7/site-packages/pip/_vendor/urllib3/response.py", line 430, in _error_catcher
  58.     raise ReadTimeoutError(self._pool, None, "Read timed out.")
  59. pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
Top